Introduction
Use these endpoints to get the service’s plan and/or restoration SLA change options for a Uniti service.
Request Lifecycle
Obtaining the service plan change options (service-plan-change-options resource) for a service is a two step process as follows:
-
Create a service-plan-changes-options-request resource, by sending a POST request to
/api/connect/services/plan-changes/options/requestwith the body of the request containing the service id. The response’shttp statuswill be201with a blank response body. There will be aLocationresponse header with a URL. This URL is where the request outcome can be obtained. -
Make a
GETrequest to the URL returned in 1. to retrieve the outcome of the request. While the request is in progress, the response’shttp statuswill be202. This means that the request has not finished yet, but will in a moment. If the request was successful a service-plan-change-options resource will be returned. If the request failed a 422 will be returned with the body containing details on why it failed in the standard error format.
Request Specifications
| Version | Header | Changes |
|---|---|---|
1 (Deprecated) |
X-API-VERSION=1 |
No change |
2 (Deprecated) |
X-API-VERSION=2 |
No change |
3 |
X-API-VERSION=3 |
No change |
4 |
X-API-VERSION=4 |
No change |
5 |
X-API-VERSION=5 |
No change |
6 |
X-API-VERSION=6 |
No change |
7 |
X-API-VERSION=7 |
No change |
8 |
X-API-VERSION=8 |
Added support to Uniti plan changes |
API Version 8
POST Request
Verb |
POST |
URI |
/api/connect/services/plan-changes/options/request |
| Name | Description |
|---|---|
|
The OAuth bearer access token |
|
The version of the endpoint you are accessing |
| Path | Type | Description | Required |
|---|---|---|---|
|
|
The id of the service. |
Required |
POST Response
| Status Code | Meaning |
|---|---|
201 |
The request was created successfully |
404 |
Bearer token is missing or invalid |
404 |
You do not have permission to perform this task |
422 |
There are validation errors on the request you made. Check the response body to see what fields had issues |
500 |
There was an unexpected error processing the request |
502 |
There was an unexpected error with one or more of the upstream services |
| Name | Description |
|---|---|
|
The URL of the service-plan-change-options-request resource |
GET Request
|
Note
|
The URI will be given to you in the Location header of the POST request. |
Verb |
GET |
URI |
/api/connect/services/plan-changes/options/requests/{id} |
Path Variable |
Purpose |
|
The id of the service-plan-change-options-request resource. This was generated by the POST request |
| Name | Description |
|---|---|
|
The OAuth bearer access token |
|
The version of the endpoint you are accessing |
GET Response
| Status Code | Meaning |
|---|---|
200 |
The request is complete. The body contains the service-plan-change-options resource |
202 |
The request is in progress |
401 |
You are not authorized to make this request |
404 |
You are not authorised or The id (of the service-plan-change-options-request resource) provided does not exist |
422 |
The service-plan-change-options resource failed to be created. Check the response body to see why |
500 |
There was an unexpected error processing the request |
502 |
There was an unexpected error with one or more of the upstream services |
| Path | Type | Description |
|---|---|---|
|
|
List of fees for the plans |
|
|
The source type of the connection. |
|
|
The access technology used for the plan. |
|
|
The name of the plan. |
|
|
The contract term for the plan. |
|
|
Download speed value. |
|
|
Unit for download speed. |
|
|
Upload speed value. |
|
|
Unit for upload speed. |
|
|
Plan name attribute. |
|
|
Plan term attribute. |
|
|
One-time charge amount. |
|
|
Currency for one-time charge. |
|
|
Currency symbol for one-time charge. |
|
|
Monthly recurring charge amount. |
|
|
Currency for monthly recurring charge. |
|
|
Currency symbol for monthly recurring charge. |
|
|
List of SLA options. |
|
|
SLA name. |
|
|
SLA attribute name. |
|
|
One-time SLA charge amount. |
|
|
Currency for one-time SLA charge. |
|
|
Currency symbol for one-time SLA charge. |
|
|
Monthly recurring SLA charge amount. |
|
|
Currency for monthly recurring SLA charge. |
|
|
Currency symbol for monthly recurring SLA charge. |
|
|
Fee name. |
API Version 8 - Examples
Successful Request
A service-plan-change-options-request resource is created by sending a POST request to /api/connect/services/plan-changes/options/request.
POST /api/connect/services/plan-changes/options/request HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Content-Length: 23
Host: 360-api.superloop.com
{
"serviceId" : 102
}
If all required fields were given, then the response to the request will have:
-
a http status of 201
-
a
Locationheader with the URI of the service-plan-change-options-request resource.
HTTP/1.1 201 Created
Location: /api/connect/services/plan-changes/options/requests/61f641ae-2558-426e-923e-55fdca0a28c1
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY
Once you have the URI from the Location header, poll that URI every so often by making a GET request. While determination
of the options is in progress, the GET request’s response will have a http status of 202. Keep polling the URL until
it finishes, once the request is completed successfully the GET request’s response will have a http status of 200.
|
Note
|
Please keep the polling to a sensible rate. |
GET /api/connect/services/plan-changes/options/requests/839a5aeb-ef29-499a-93f6-1facaf547367 HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Host: 360-api.superloop.com
HTTP/1.1 200 OK
Content-Type: application/json
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY
Content-Length: 3525
{
"plans" : [ {
"sourceType" : "UNITI",
"accessTechnology" : "FTTP",
"plan" : "Opt-Bundle Home-12",
"term" : "1",
"speedDown" : {
"speed" : 12,
"unit" : "MBit/s"
},
"speedUp" : {
"speed" : 1,
"unit" : "MBit/s"
},
"planFee" : {
"attributes" : {
"plan" : "Opt-Bundle Home-12",
"term" : "1"
},
"oneTimeCharge" : {
"amount" : "0.00",
"currency" : "AUD",
"symbol" : "$"
},
"monthlyRecurringCharge" : {
"amount" : "41.30",
"currency" : "AUD",
"symbol" : "$"
}
}
}, {
"sourceType" : "UNITI",
"accessTechnology" : "FTTP",
"plan" : "Opti-Bundle Home-25",
"term" : "1",
"speedDown" : {
"speed" : 25,
"unit" : "MBit/s"
},
"speedUp" : {
"speed" : 5,
"unit" : "MBit/s"
},
"planFee" : {
"attributes" : {
"plan" : "Opti-Bundle Home-25",
"term" : "1"
},
"oneTimeCharge" : {
"amount" : "0.00",
"currency" : "AUD",
"symbol" : "$"
},
"monthlyRecurringCharge" : {
"amount" : "43.50",
"currency" : "AUD",
"symbol" : "$"
}
}
}, {
"sourceType" : "UNITI",
"accessTechnology" : "FTTP",
"plan" : "Opti-Bundle Home-50",
"term" : "1",
"speedDown" : {
"speed" : 50,
"unit" : "MBit/s"
},
"speedUp" : {
"speed" : 20,
"unit" : "MBit/s"
},
"planFee" : {
"attributes" : {
"plan" : "Opti-Bundle Home-50",
"term" : "1"
},
"oneTimeCharge" : {
"amount" : "0.00",
"currency" : "AUD",
"symbol" : "$"
},
"monthlyRecurringCharge" : {
"amount" : "52.30",
"currency" : "AUD",
"symbol" : "$"
}
}
}, {
"sourceType" : "UNITI",
"accessTechnology" : "FTTP",
"plan" : "Opti-Bundle Home-100/20",
"term" : "1",
"speedDown" : {
"speed" : 100,
"unit" : "MBit/s"
},
"speedUp" : {
"speed" : 20,
"unit" : "MBit/s"
},
"planFee" : {
"attributes" : {
"plan" : "Opti-Bundle Home-100/20",
"term" : "1"
},
"oneTimeCharge" : {
"amount" : "0.00",
"currency" : "AUD",
"symbol" : "$"
},
"monthlyRecurringCharge" : {
"amount" : "66.60",
"currency" : "AUD",
"symbol" : "$"
}
}
}, {
"sourceType" : "UNITI",
"accessTechnology" : "FTTP",
"plan" : "Opti-Bundle Home-100",
"term" : "1",
"speedDown" : {
"speed" : 100,
"unit" : "MBit/s"
},
"speedUp" : {
"speed" : 40,
"unit" : "MBit/s"
},
"planFee" : {
"attributes" : {
"plan" : "Opti-Bundle Home-100",
"term" : "1"
},
"oneTimeCharge" : {
"amount" : "0.00",
"currency" : "AUD",
"symbol" : "$"
},
"monthlyRecurringCharge" : {
"amount" : "74.30",
"currency" : "AUD",
"symbol" : "$"
}
}
} ],
"slas" : [ {
"sla" : "Standard",
"fee" : {
"attributes" : {
"sla" : "Standard"
},
"oneTimeCharge" : {
"amount" : "0.00",
"currency" : "AUD",
"symbol" : "$"
},
"monthlyRecurringCharge" : {
"amount" : "0.00",
"currency" : "AUD",
"symbol" : "$"
},
"name" : "SLA"
}
} ]
}
Once you have a list of available options you can request to change a service’s plan and/or restoration SLA by choosing one option and making a request with the service id, plan name, term and restoration SLA (optional).
Invalid Request
If the request is invalid for any reason, a http status of 422 is returned and the body of the
response will list the problems with the request.
This example is of submitting a service plan change options request, where a plan change is not available.
POST /api/connect/services/plan-changes/options/request HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Content-Length: 23
Host: 360-api.superloop.com
{
"serviceId" : 101
}
HTTP/1.1 422 Unprocessable Entity
Content-Type: application/json
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY
Content-Length: 386
{
"httpStatusCode" : 422,
"type" : "client.validation",
"code" : "validation",
"message" : "Validation error",
"apiSubErrors" : [ {
"code" : "constraints.uniti.opc.id.required",
"message" : "Uniti TC4 OPC ID is required",
"object" : "ServicePlanChange",
"field" : "serviceId",
"rejectedValue" : 101
} ],
"timestamp" : "2026-06-08T13:17:11.397333832Z"
}
Resource failed to be created
If the service-plan-change-options resource failed to be created, a http status of 422 is returned and the body of the
response will list the reason why
GET /api/connect/services/plan-changes/options/requests/9f164794-eecf-4be1-9b06-898496678043 HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Host: 360-api.superloop.com
HTTP/1.1 422 Unprocessable Entity
Content-Type: application/json
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY
Content-Length: 474
{
"httpStatusCode" : 422,
"type" : "client.validation",
"code" : "validation",
"message" : "Validation error",
"apiSubErrors" : [ {
"code" : "constraints.service.plan.change.options.request.in.error",
"message" : "Uniti has failed to process the service qualification.",
"object" : "ServicePlanChangeOptions",
"field" : "request",
"rejectedValue" : "9f164794-eecf-4be1-9b06-898496678043"
} ],
"timestamp" : "2026-06-08T13:17:12.73574658Z"
}
Upstream Service Unavailable
If one of the services that Connect API uses for getting service plan change options is down or unreachable,
Connect API will return a http status of 502.
HTTP/1.1 502 Bad Gateway
Content-Type: application/json
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY
Content-Length: 249
{
"httpStatusCode" : 502,
"type" : "remote.call",
"code" : "remote.call.error",
"message" : "There was an unexpected error with one or more of the upstream services",
"apiSubErrors" : [ ],
"timestamp" : "2026-06-08T13:17:16.737187735Z"
}